#!/bin/csh

# DEC C++, DEC F90, MPICH/P4

set MPICH_HOME  = $1
set CXXLIB_HOME = $2

set MPICH_ARCH = `tarch`

configure -mpiinc=${MPICH_HOME}/include \
          -mpilib="-lmpi" \
          -f90=dec \
          -c++com="cxx" \
          -c++lib="${CXXLIB_HOME}/libcxx.a ${CXXLIB_HOME}/libexc.a" \
          -lnkcom="f90 -L${MPICH_HOME}/lib/${MPICH_ARCH}/ch_p4"

# Comments:
#
#      Tested under:
#           OSF/1 V2.1 (Rev. 250),
#           DEC Fortran 90 V1.3-0221,
#           DEC C++ V1.3B-0,
#           MPICH 1.0.10
#
#      `$MPICH_HOME' is the home directory for the MPICH installation.
#
#      `$CCXLIB_HOME' is the directory containing `libcxx.a' (and `libexc.a').
#
#      It ought to be possible to use the shared version of the C++
#           libraries by specifying 
#
#             -c++lib="-lcxx" \
#             -lnkcom="f90 -L${CXXLIB_HOME} [...]"
#
#           and (probably) adding ${CXXLIB_HOME} to LD_LIBRARY_PATH.
#           Problems encountered (with remote shells?)

